#!/usr/bin/env python

"""
Takes an image with transparent background, that may contain panels, icons and
windows and crop/resizes it to several common screen resolutions, while doing
something hopefully sensible with the content.


Copyright 2010, 2011 Thorsten Wilms
License: GPLv3, see docs/COPYING

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""
import argparse # Added with Python 2.7, not present in 3.0 but back in 3.2


def try_parse(parser):
    # Catch IOErrors to put out a _short_ error message
    try:
        args = parser.parse_args()
    except IOError, msg:
        parser.error(str(msg))
    else:
        return args
